Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 57 lines (47 sloc) 1.931 kB
4a6ec6a @mightybyte Work in progress
authored
1 name: snaplet-postgresql-simple
9a27cbb @mightybyte Version bump
authored
2 version: 0.6.0.2
4a6ec6a @mightybyte Work in progress
authored
3 synopsis: postgresql-simple snaplet for the Snap Framework
4 description: This snaplet contains support for using the Postgresql
5 database with a Snap Framework application via the
6 postgresql-simple package. It also includes an
7 authentication backend.
8 license: BSD3
9 license-file: LICENSE
10 author: Doug Beardsley
11 maintainer: mightybyte@gmail.com
12 build-type: Simple
13 cabal-version: >= 1.6
14 homepage: https://github.com/mightybyte/snaplet-postgresql-simple
69f0aeb @mightybyte Add to the Snap category on hackage.
authored
15 category: Web, Snap
4a6ec6a @mightybyte Work in progress
authored
16
17 extra-source-files: LICENSE
18
6fbf493 @mightybyte Ship with default config files
authored
19 data-files:
6c768d7 @mightybyte Update cabal file for new config file names.
authored
20 resources/db/devel.cfg
21 resources/auth/devel.cfg
6fbf493 @mightybyte Ship with default config files
authored
22
4a6ec6a @mightybyte Work in progress
authored
23 source-repository head
24 type: git
25 location: https://github.com/mightybyte/snaplet-postgresql-simple.git
26
27 Library
28 hs-source-dirs: src
29
30 exposed-modules:
31 Snap.Snaplet.PostgresqlSimple
1d32a28 @mightybyte Get lpsmith's work building
authored
32 Snap.Snaplet.Auth.Backends.PostgresqlSimple
a06d58c @mightybyte Moved Paths_... module to other-modules.
authored
33
34 other-modules:
1d32a28 @mightybyte Get lpsmith's work building
authored
35 Snap.Snaplet.PostgresqlSimple.Internal
6fbf493 @mightybyte Ship with default config files
authored
36 Paths_snaplet_postgresql_simple
4a6ec6a @mightybyte Work in progress
authored
37
38 build-depends:
cfab635 @mightybyte Allow base-4.8
authored
39 base >= 4 && < 4.9,
35a98cc @simon-nicholls Update bytestring version range to match 0.10 Snap's, so GHC 7.6.1 wi…
simon-nicholls authored
40 bytestring >= 0.9.1 && < 0.11,
0f989e5 @mightybyte Allow clientsession 0.9
authored
41 clientsession >= 0.7.2 && < 0.10,
b3b3e1c @adinapoli Bumped configurator constraint
adinapoli authored
42 configurator >= 0.2 && < 0.4,
6749a4e @mightybyte Bump errors version bounds
authored
43 errors >= 1.4 && < 1.5,
e94e395 @mightybyte Accept lens-4.11
authored
44 lens < 4.12,
1463f67 Fix to work with the latest postgresql-simple on hackage
Oliver Charles authored
45 MonadCatchIO-transformers >= 0.3 && < 0.4,
a79c782 @mightybyte Version bound fixes
authored
46 mtl >= 2 && < 2.3,
30578e3 @mightybyte Accept new postgresql-simple and text
authored
47 postgresql-simple >= 0.3 && < 0.5,
4a6ec6a @mightybyte Work in progress
authored
48 resource-pool-catchio >= 0.2 && < 0.3,
552558d @mightybyte Update for snap-0.14
authored
49 snap >= 0.10 && < 0.15,
91c61fe @mightybyte Widen lower bound on text
authored
50 text >= 0.11 && < 1.3,
a79c782 @mightybyte Version bound fixes
authored
51 transformers >= 0.2 && < 0.5,
cf5b75e @mightybyte Get connection pool options from config file. Bump unordered-containers
authored
52 unordered-containers >= 0.2 && < 0.3
262c120 @mightybyte Started working on auth backend.
authored
53
4a6ec6a @mightybyte Work in progress
authored
54
55 ghc-options: -Wall -fwarn-tabs -funbox-strict-fields
56 -fno-warn-orphans -fno-warn-unused-do-bind
Something went wrong with that request. Please try again.